# Simple toolchain template file for gcc running on i686 Windows
set(CMAKE_SYSTEM_NAME Windows)
set(CMAKE_SYSTEM_PROCESSOR i686)

set(CMAKE_SYSROOT /opt/i686-w64-mingw32/i686-w64-mingw32/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/i686-w64-mingw32-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/i686-w64-mingw32-g++)

set(CMAKE_LINKER  /opt/bin/i686-w64-mingw32-ld)
set(CMAKE_OBJCOPY /opt/bin/i686-w64-mingw32-objcopy)

set(CMAKE_AR     /opt/i686-w64-mingw32/bin/i686-w64-mingw32-gcc-ar)
set(CMAKE_NM     /opt/i686-w64-mingw32/bin/i686-w64-mingw32-gcc-nm)
set(CMAKE_RANLIB /opt/i686-w64-mingw32/bin/i686-w64-mingw32-gcc-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
